Get agent MCP connection

Get agent MCP connection. See the OpenAPI-defined parameters, request body, and responses below.

GET /AgentMcpConnection/{id}

Get agent MCP connection. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Retorna os dados e as ferramentas permitidas da associação MCP identificada por id no tenant autenticado. Requer ViewAgents.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/AgentMcpConnection/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Dados da conexão MCP.application/json · AgentMcpConnectionDto

Example response (200):

{
  "id": 0,
  "agentId": 0,
  "connectorId": 0,
  "enabled": true,
  "allowedTools": [
    "string"
  ],
  "createdAt": "2026-09-22T18:00:00Z"
}

Data models

AgentMcpConnectionDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
agentIdinteger · int32No—min: 1; max: 2147483647
connectorIdinteger · int32No—min: 1; max: 2147483647
enabledbooleanNo——
allowedToolsarray<string>Yes——
createdAtstring · date-timeNo——